TFF_CONVERT_TRACTOGRAM.PY(1)

NAME
tff_convert_tractogram.py - convert tractograms files to updated file format

DESCRIPTION
usage: tff_convert_tractogram.py [-h] [--reference REFERENCE]

[--positions_dtype {float16,float32,float64}]
    [--offsets_dtype {uint32,uint64}] [-f] IN_TRACTOGRAM OUT_TRACTOGRAM

Conversion of '.tck', '.trk', '.fib', '.vtk', '.trx' and 'dpy' files using updated file format standard. TCK file always needs a reference file, a NIFTI, for conversion. The FIB file format is in fact a VTK, MITK Diffusion supports it.

  positional arguments:

IN_TRACTOGRAM
    Tractogram filename. Format must be one of trk, tck, vtk, fib, dpy, trx.

OUT_TRACTOGRAM
    Output filename. Format must be one of trk, tck, vtk, fib, dpy, trx.

  options:

-h, --help
    show this help message and exit

--reference REFERENCE
    Reference anatomy for tck/vtk/fib/dpy file support (.nii or .nii.gz).

-f  Force overwriting of the output files.

  Data type options:

--positions_dtype {float16,float32,float64}
    Specify the datatype for positions for trx. [float32]

--offsets_dtype {uint32,uint64}
    Specify the datatype for offsets for trx. [uint64]